import fsExtra = require('fs-extra')
import path = require('path')

export class Assets {

    static pgpKey(): string {
        return this.readFile('snips-pgp-key.asc')
    }

    static homeAssistantPythonSystemdService(): string {
        return this.readFile('home-assistant.service')
    }

    private static readFile(name: string): string {
        return fsExtra.readFileSync(path.join(__dirname, name), 'utf8')
    }
}
